# operator<<(std::thread::id)

From cppreference.com
< cpp‎ | thread‎ | thread‎ | id

template< class CharT, class Traits > std::basic_ostream<CharT,Traits>& operator<<( std::basic_ostream<CharT,Traits>& ost, thread::id id ); |  | (since C++11)

Writes a textual representation of a thread identifier `id` to the output stream `ost`.

If two thread identifiers compare equal, they have identical textual representations; if they do not compare equal, their representations are distinct.

### Parameters

ost | - | output stream to insert the data into
id | - | thread identifier

### Return value

`ost`

### Exceptions

(none)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/thread/thread/id/operator_ltlt&oldid=74153"